import React, { useContext } from 'react';
import { GamesContext } from '../../../context/games';

export default function NewGame() {
    const games = useContext(GamesContext);

    console.log("NewGame", games);

    return (
        <div>View: NewGame</div>
    )
}


// Move to components as DropSelector
function SelectPlayer({ name, setName, nameOptions }) {
    const handleSelectChange = (event) => {
        setName(event.target.value)
    }

    return (
        <div className='SelectPlayer'>
            <form>
                <select value={name} onChange={handleSelectChange}>
                    {nameOptions}
                </select>
            </form>
        </div>
    )
}